---
lang: en
title: 'API docs: context.inspectinjections'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.inspectinjections.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [inspectInjections](./context.inspectinjections.md)

## inspectInjections() function

Inspect injections for a binding created with `toClass` or `toProvider`

**Signature:**

```typescript
export declare function inspectInjections(binding: Readonly<Binding<unknown>>): JSONObject;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  binding | Readonly&lt;[Binding](./context.binding.md)<!-- -->&lt;unknown&gt;&gt; | Binding object |

**Returns:**

[JSONObject](./context.jsonobject.md)


